Delete Document
Delete a document belonging to a job in your workspace.
The delete document endpoint lets you remove a document from your workspace.
Endpoint
| Method | Url |
|---|---|
DELETE | /v1.0/documents/{document_id} |
Url Parameters
document_id
•
string
The document's ID.
Sample Request
bashCopied1curl -X DELETE 'https://api.worklayer.com/v1.0/documents/499d692d-67aa-4127-a45c-b9e27f54afad' \2-H 'Authorization: Bearer {token}'
Response
A 204 No Content
Errors
Forbidden: API Client does not have permission to delete the document.Unauthorized: API Client does not have valid credentials.BadRequest: Either required properties are missing, or there was a malformed request.NotFound: A document with the requesteddocument_idcould not be found.
Last updated on April 17, 2026
Privacy PolicyTerms & Conditions© 2026 Taxfyle